Bug 486504 - Incorrect "First sector of boot partition" path
Incorrect "First sector of boot partition" path
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 21:42 EST by Evan McNabb
Modified: 2009-02-25 17:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 17:46:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from anaconda unhandled exception (46.51 KB, text/plain)
2009-02-21 13:35 EST, Joachim Frieben
no flags Details

  None (edit)
Description Evan McNabb 2009-02-19 21:42:42 EST
Description of problem:

On the "Boot loader device" screen, the "First sector of the boot partition" path is incorrectly displayed. For example:

* Master Boot Record (MBR) - /dev/sda
* First sector of boot partition - /dev/<fsset.PartitionDevice instance at 0x7fa44b197f38>

Version-Release number of selected component (if applicable):
Rawhide-20090219

How reproducible:
Every time, multiple systems

Steps to Reproduce:
1. Start install, try to change boot loader
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joachim Frieben 2009-02-21 13:35:28 EST
Created attachment 332826 [details]
Output from anaconda unhandled exception

The same happens here an an x86_64 system. I have an ext3 boot partition to which I usually write the boot sector. Current "rawhide" falls flat on its face, unfortunately -after- formatting the system partitions :o(

- anaconda-11.5.0.23-1.x86_64
- booty-0.108-1.fc11.noarch
Comment 2 Chris Lumens 2009-02-25 17:46:18 EST
This should be fixed in the next build of anaconda.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.